/* Pagination */

$pagination-switch-wp-page-numbers: $wp-page-numbers;
$pagination-switch-nextgen-gallery: $nextgen-gallery;

$pagination-style: circle; 	// circle | square

$pagination-margin-top: 20px;
$pagination-margin-bottom: 20px;

$pagination-size: 32px;
$pagination-gap: 6px;

$pagination-border-color: transparent;
$pagination-border-style: none;
$pagination-border-width: 0;

$pagination-font-size: 16px;
$pagination-font-weight: normal;

$pagination-text-color: $black;
$pagination-text-color-hover: $active;
$pagination-text-color-active: $pagination-text-color-hover;

$pagination-background-color: transparent;
$pagination-background-color-hover: darken($white, 15%);
$pagination-background-color-active: $pagination-background-color-hover;

$pagination-left-icon:  $fa-var-angle-left; 	// angle-left | angle-double-left | arrow-left | chevron-left
$pagination-right-icon: $fa-var-angle-right; 	// angle-right | angle-double-right | arrow-right | chevron-right


@if $pagination-switch-wp-page-numbers == true {
	#wp_page_numbers,
	nav.pagination {
		@include reset(list_light);
	
		ul {
			margin: {
				top: $pagination-margin-top;
				bottom: $pagination-margin-bottom;
			}
			text-align: center;
			word-spacing: 0;
			font-size: 0;
		}
	
		ul li {
			display: inline-block;
			overflow: hidden;
			margin: {
				left: $pagination-gap / 2;
				right: $pagination-gap / 2;
			}
		
			a {
				display: block;
				border: {
					color: $pagination-border-color;
					style: $pagination-border-style;
					width: $pagination-border-width;
				}
				width: $pagination-size;
				height: $pagination-size;
				text-align: center;
				font: {
					size: $pagination-font-size;
					weight: $pagination-font-weight;
				}
				line-height: $pagination-size + 1;
				color: $pagination-text-color;
				background-color: $pagination-background-color;
				@include transition(color .33s linear, background-color .3s linear);
			
				@if $pagination-style == circle {
					@include border-radius(50%);
				}
			
				&:hover {
					color: $pagination-text-color-hover;
					background-color: $pagination-background-color-hover;
				}
			}
		
			&.active_page a {
				color: $pagination-text-color-active;
				background-color: $pagination-background-color-active;
				cursor: default;
			}
		}
	
		b:after {
			@include icon($pagination-left-icon);
		}
	
		strong:after {
			@include icon($pagination-right-icon);
		}
	}
}

// Nextgen gallery pagination

@if $pagination-switch-nextgen-gallery == true {
	body main div.ngg-galleryoverview div.ngg-navigation {
		margin: {
			top: $pagination-margin-top !important;
			bottom: $pagination-margin-bottom !important;
		}
		font-size: 0 !important;
		word-spacing: 0 !important;
	
		a,
		a.page-numbers,
		a.prev,
		a.next,
		span,
		span.current {
			display: inline-block;
			margin: {
				left: $pagination-gap / 2 !important;
				right: $pagination-gap / 2 !important;
			}
			border: {
				color: $pagination-border-color !important;
				style: $pagination-border-style !important;
				width: $pagination-border-width !important;
			}
			padding: 0 !important;
			width: $pagination-size;
			height: $pagination-size;
			text-align: center;
			font: {
				size: $pagination-font-size;
				weight: $pagination-font-weight;
			}
			line-height: $pagination-size + 1px;
			color: $pagination-text-color;
			$pagination-background-color: transparent;
			@include transition(color .33s linear, background-color .3s linear);
		
			@if $pagination-style == circle {
				@include border-radius(50%);
			}
		
			&:hover {
				color: $pagination-text-color-hover !important;
				background-color: $pagination-background-color-hover !important;
			}
		}
		
		span {
			color: $pagination-text-color-active;
			cursor: default;
			background-color: $pagination-background-color-active;
		}
	
		a.prev,
		a.next {
			position: relative;
			color: transparent !important;
		
			&:after {
				position: absolute;
				left: 0;
				top: 0;
				width: $pagination-size;
				height: $pagination-size;
				color: $pagination-text-color;
				@include transition(color .33s linear, background-color .3s linear);
			}
		
			&:hover {
				color: $pagination-background-color-hover !important;
			
				&:after {
					color: $pagination-text-color-active !important;
				}
			}
		}
	
		a.prev:after {
			@include icon($pagination-left-icon);
		}
	
		a.next:after {
			@include icon($pagination-right-icon);
		}
	}
}
